#! /usr/bin/perl -w

use strict;

use File::Copy;

#	This scripts generates a fake predictor bash INPUT_FILE from a genuine PPC output INPUT_FILE. 
#
# 	Invocation arguments:
# 	1. Input INPUT_FILE name from which to generate the bash script
	
	my $target_file = "Fake_PPC";
	my $counter;
	
	open OUTPUT_FILE, ">", $target_file or die "Sorry, cannot open output file.";
	
	print OUTPUT_FILE "#! /bin/bash\n\n";
	print OUTPUT_FILE "# This script simulates a PPC output.\n\n";

	while ( <> )
	{
		if( /^.+?\t\d+\t/ )
		{
			$counter ++; 
			print OUTPUT_FILE "# $counter\n";
		}
		s/^(.*)$/echo -e \'$1\' > \$2/;
		print OUTPUT_FILE $_;
	}
	print OUTPUT_FILE "\n";
	
	chmod 0755, $target_file;