#! /usr/bin/perl -w

use strict;

### This predictor simply returns the following invocation-relevant parameters in a file 'Test_Predictor_Output' on the Desktop:
#
#	- The number of invocation arguments in the predictor call
#	- The invocation arguments in the predictor call.
#	- The content of the input files or STDIN input to the predictor.

# 	Open the file handle for the output lo file.
open OUTPUT, ">", '/home/mccrae/Desktop/Test_Predictor_Output';

print OUTPUT "Number of invocation Arguments: ", scalar @ARGV,".\n\n";

#	Print the list of invocation arguments.
for my $argument ( @ARGV )
{
	print OUTPUT "Invocation argument: $argument\n";
}

print OUTPUT "******************** Input received via STDIN:\n\n";
print OUTPUT while( <> );