/* 
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 *
 * Author: Horia F. Pop,
 * Purpose: C file for cdg test program
 * Date: February 11, 2000
 */

#include <assert.h>
#include "config.h"
#include "cdg.h"
#include "hook.h"
#include "command.h"

void testCmdEval(String command) 
{
  assert(commandEval(command));
}  

int main(void)
{
  cdgInitialize();
  testCmdEval("set verbosity 0");
  testCmdEval("status");
  cdgFinalize();

  return 0;
}

