#!/bin/bash

# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


YADA_VERSION=@YADA_VERSION@

YADA_LIB=@YADA_LIB@
YADA_GRAMMARS=@YADA_GRAMMARS@
YADA_CDGP=@YADA_CDGP@
YADA_SVR=@YADA_SVR@

YADA_PATH=$HOME/yada
YADA_DATA=$YADA_PATH/data
YADA_TMP=$YADA_PATH/tmp
YADA_ETC=$YADA_PATH/etc

YADA_EDITOR=gvim

export YADA_LIB YADA_GRAMMARS YADA_CDGP YADA_SVR YADA_PATH YADA_EDITOR
export YADA_DATA YADA_TMP YADA_ETC YADA_VERSION

exec wish $YADA_LIB/yada.tcl $*
