#! /usr/bin/perl

use strict;

# 	This script merges the blocks of sentences from two input files and writes them in block-wise pairs into an output file called Merge.txt.
# 	The output will be a file containing Block_A1 Block_B1 Block_A2 Block_B2 ... where Block_Xn is the n-th block from input file X.
#   Invocation Arguments
#    1. sentence file_1 to merge
#	2. sentence file_2 to merge

open FILE_1, "<", $ARGV[ 0 ];
open FILE_2, "<", $ARGV[ 1 ];
open OUTPUT, ">", "Merge.txt";

my $agreement;
my @block;
my $line;

while ( <FILE_1> )
{
    print OUTPUT;
    push ( @block, $line = <FILE_2> );
    
    if ( /^$/ )
    {	
    	print OUTPUT @block;
    	@block = ();
    }
}