/* 
 * Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. For
 * more details read COPYING in the root of this distribution.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 */

/*
 * File: statistics.h
 * Author: Ingo Schroeder
 * Purpose: header file for statistics evaluation
 * Birth: 14/4/97
 *
 */

#ifndef STATISTICS_H
#define STATISTICS_H

/* ---------------------------------------------------------------------- */
#include "input.h"
#include "constraintnet.h"

/* ---------------------------------------------------------------------- */

/* ---------------------------------------------------------------------- */
extern Boolean statUseStatisticsFlag;

/* ---------------------------------------------------------------------- */

#ifndef SWIG
extern Number statUnary( LevelValue lv, ConstraintNet net );
extern void statInitialize();
#endif

/* ---------------------------------------------------------------------- */
#endif /* don't insert anything after this #endif */








