# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
 & eval 'exec perl -S $0 $argv:q'
 if 0;

#
# Ingo Schrder
#

#use strict;

if ( $0 =~ m/.*\/([^\/]*)/ ) {
    $cmd=$1;
} else {
    $cmd=$0;
}

require "getopts.pl";
&Getopts('dg:hj:kl:s:t');

$usage="$cmd grammar1 grammar2";

die $usage
  if ($#ARGV!=1);

&ReadWeights($ARGV[0], 0);
&ReadWeights($ARGV[1], 1);

foreach $k (sort CompareKeys keys(%T)) {
  printf "%7.6f %50.50s %7.6f %7.6f\n",
    abs($G{$k, 0}-$G{$k, 1}), $k, $G{$k, 0}, $G{$k, 1};
}

exit 0;

# ------------------------------------------------------------
sub CompareKeys {
#  printf STDERR "Comparing %s and %s\n", $a, $b;
  abs($G{$a, 0}-$G{$a, 1}) <=> abs($G{$b, 0}-$G{$b, 1});
}

# ------------------------------------------------------------
sub ReadWeights {
  local($name, $no)=@_;
  my $l;
  
  open(F, "<$name") || die "Can't open file \"$name\": $!";
  while ($l=<F>) {
    if ($l=~m/^(weight)?\s+([^ ]+)\s+([e\d\.+-]+)$/) {
      $T{$2}=1;
      $G{$2, $no}=$3;
    } else {
      printf STDERR "Can't parse line: $l";
    }
  }
  close(F);
}
