#!/bin/sh
#\
exec tclsh "$0" "$@" 

# Copyright (C) 1997-2005 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version. For
# more details read COPYING in the root of this distribution.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

source YadaProc.tcl

#set t 216000000.0
set day 86400000.0
 set t 86400000.0
#set t 120000.0

while {1} {
  if {[catch {set s [timeToString $t]} errMsg]} {
    puts "ERROR: t=${t} is too big\n"
    puts "$errMsg\n$::errorInfo\n"
    break
  }
  puts "${t}ms is $s"
  set t [expr $t + $day * 0.2]
}
