/** Known semantic values **/
public enum SemVal {
    ag("Takes.AGENT"),
    ag_re("Takes.AGENT.RECIPIENT"),
    ag_re_th("Takes.AGENT.RECIPIENT.THEME"),
    ag_th("Takes.AGENT.THEME");

    /**
     * The name of the T-Box concept corresponding to this semantic value.
     */
    public final String conceptName;

    SemVal(String conceptName) {
	this.conceptName = conceptName;
    }
}
